org.apache.commons.jexl.util.introspection

## Class UberspectImpl.VelSetterImpl

- java.lang.Object
- - org.apache.commons.jexl.util.introspection.UberspectImpl.VelSetterImpl

All Implemented Interfaces:
  VelPropertySet

Enclosing class:
  UberspectImpl

    public class UberspectImpl.VelSetterImpl
    extends java.lang.Object
    implements VelPropertySet

### Field Summary

Fields
`protected java.lang.String` `putKey` the key for indexed and other properties.
`protected VelMethod` `vm` the method to call.

### Constructor Summary

Constructors
Constructor and Description
`UberspectImpl.VelSetterImpl(VelMethod velmethod)` Create an instance.
`UberspectImpl.VelSetterImpl(VelMethod velmethod, java.lang.String key)` Create an instance.

### Method Summary

Methods
`java.lang.String` `getMethodName()` returns the method name used to set this 'property'.
`java.lang.Object` `invoke(java.lang.Object o, java.lang.Object value)` method used to set the value in the object.
`boolean` `isCacheable()` specifies if this VelPropertySet is cacheable and able to be reused for this class of object it was returned for.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### vm

    protected VelMethod vm

the method to call.

#### putKey

    protected java.lang.String putKey

the key for indexed and other properties.

### Constructor Detail

#### UberspectImpl.VelSetterImpl

    public UberspectImpl.VelSetterImpl(VelMethod velmethod)

Create an instance.

Parameters:
  `velmethod` - the method to call on set.

#### UberspectImpl.VelSetterImpl

    public UberspectImpl.VelSetterImpl(VelMethod velmethod,
                               java.lang.String key)

Create an instance.

Parameters:
  `velmethod` - the method to call on set.
  `key` - the index or other value passed to a setProperty(xxx, value) method.

### Method Detail

#### invoke

    public java.lang.Object invoke(java.lang.Object o,
                          java.lang.Object value)
                            throws java.lang.Exception

method used to set the value in the object.

Specified by:
  `invoke` in interface `VelPropertySet`
Parameters:
  `o` - Object on which the method will be called with the arg
  `value` - value to be set
Returns:
  the value returned from the set operation (impl specific)
Throws:
  `java.lang.Exception` - on any error.

#### isCacheable

    public boolean isCacheable()

specifies if this VelPropertySet is cacheable and able to be reused for this class of object it was returned for.

Specified by:
  `isCacheable` in interface `VelPropertySet`
Returns:
  true if can be reused for this class, false if not

#### getMethodName

    public java.lang.String getMethodName()

returns the method name used to set this 'property'.

Specified by:
  `getMethodName` in interface `VelPropertySet`
Returns:
  the method name.